# 创建 bonus 用户，此段代码未测试
RUN group add -g 1002 bonus && \
useradd -u 1002 -g 1002 -m -s /usr/sbin/nologin bonus
# 切换到 bonus 用户
USER bonus
# end 创建用户

# 基础镜像
FROM redis:3.2.12
# author
MAINTAINER ruoyi

# 挂载目录
VOLUME /home/ruoyi/redis
# 创建目录
RUN mkdir -p /home/ruoyi/redis
# 指定路径
WORKDIR /home/ruoyi/redis
# 复制conf文件到路径
COPY ./conf/redis.conf /home/ruoyi/redis/redis.conf
